Package net.sf.saxon.trans

## Enum FunctionStreamability

- java.lang.Object
- - java.lang.Enum<FunctionStreamability>
  - - net.sf.saxon.trans.FunctionStreamability

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<FunctionStreamability>`

      public enum FunctionStreamability
      extends java.lang.Enum<FunctionStreamability>

  Enumeration class giving the different streamability categories defined for stylesheet functions in XSLT 3.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ABSORBING` |
    `ASCENT` |
    `DEEP_DESCENT` |
    `FILTER` |
    `INSPECTION` |
    `SHALLOW_DESCENT` |
    `UNCLASSIFIED` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `streamabilityStr` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isConsuming()` |
    `boolean` | `isStreaming()` |
    `static FunctionStreamability` | `of​(java.lang.String v)` |
    `static FunctionStreamability` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static FunctionStreamability[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNCLASSIFIED

          public static final FunctionStreamability UNCLASSIFIED

    - #### ABSORBING

          public static final FunctionStreamability ABSORBING

    - #### INSPECTION

          public static final FunctionStreamability INSPECTION

    - #### FILTER

          public static final FunctionStreamability FILTER

    - #### SHALLOW_DESCENT

          public static final FunctionStreamability SHALLOW_DESCENT

    - #### DEEP_DESCENT

          public static final FunctionStreamability DEEP_DESCENT

    - #### ASCENT

          public static final FunctionStreamability ASCENT

  - ### Field Detail

    - #### streamabilityStr

          public java.lang.String streamabilityStr

  - ### Method Detail

    - #### values

          public static FunctionStreamability[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FunctionStreamability c : FunctionStreamability.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FunctionStreamability valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isConsuming

          public boolean isConsuming()

    - #### isStreaming

          public boolean isStreaming()

    - #### of

          public static FunctionStreamability of​(java.lang.String v)